<?php
if (isset($_SESSION['login'])) {
     header("Location: https://activation.games/match-the-icons/"); 

}
?>
<html>

<head>
    <title>Match The Icons - Inscription</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css" integrity="sha512-xh6O/CkQoPOWDdYTDqeRdPCVd1SpvCA9XXcUnZS2FmJNp1coAFzvtCN9BmamE+4aHK8yyUHUSCcJHgXloTyT2A==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" crossorigin="anonymous">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="../public/css/style.css">


</head>

<body>

    <div class="alignCart">

        <div class=" d-flex justify-content-center">
            <img class="logo" src="../public/media/logo.png">
        </div>

        <div class="LoginCard inscription-modal py-5">
            <div class="mb-3">
                <h1 class="text-center headingTop" style="font-family: Bud Bold;">HELLO!</h1>
                <p class="text-center" style="font-family: 'Inter';;font-weight: 700;">Remplissez le formulaire pour jouer.</p>
            </div>
            <div class=" px-0 px-md-3 mainForm ">
                <div class="d-flex  nameInput align-items-center input-holder">
                    <label for="fullname">Nom complet</label>
                    <input autocomplete="off" required id="fullname" placeholder="(optionnel)"  type="text">
                </div>

                <div class="d-flex nameInput  align-items-center input-holder  ">
                    <label for="fullname" class="phoneNumber">Téléphone</label>
                    <input autocomplete="off" required placeholder="(optionnel)"  id="phoneNumber" type="tel">
                </div>

                <div class="d-flex nameInput  align-items-center input-holder ">
                    <label for="fullname" >Email </label>
                    <input autocomplete="off" required placeholder="(optionnel)"  id="emailAddress" type="email">
                </div>
                <div class="mt-5 text-center">
                    <button type="button" id="sendInscription" class="btn main-button">Commencez</button>
                </div>

            </div>

        </div>
    </div>
    <img class="botalImg" src="../public/media/bootal.png"> 

</body>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.1/jquery.min.js" integrity="sha512-aVKKRRi/Q/YV+4mjoKBsE4x3H+BkegoM/em46NNlCqNTmUYADjBbeNefNxYV7giUp0VxICtqdrbqU7iVaeZNXA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
<script>
    function ValidateEmail(email) {
        var mailformat = /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/;
        if (email.match(mailformat)) {
            return true;
        } else {
            return false;
        }
    }

    $(document).ready(function() {

        $('#inscription_modal').modal('show');

        $('#sendInscription').on('click', function() {

            var emailAddress = $('#emailAddress').val().trim();
            var phoneNumber = $('#phoneNumber').val();
            var fullname = $('#fullname').val().trim();

            if (phoneNumber.length >= 10 && fullname.trim() !== "" && ((ValidateEmail(emailAddress) && emailAddress !== "") || (emailAddress === ""))) {

                $.ajax({

                    method: "POST",
                    url: "../src/inscription.php",
                    data: {
                        'name': fullname,
                        'phone': phoneNumber,
                        'email': emailAddress,
                    },
                    error: function(request, status, error) {
                        console.log(request.responseText);
                        console.log(error);
                    },
                    success: function(response) {

                        if (response != "undefined" && !response.includes("duplicatePhoneNumber") && !response.includes("duplicateName")) {

                            //randomNumberHolder = Math.random();
                             location.href = "https://activation.games/match-the-icons" 

                        }

                        if (response.includes("duplicatePhoneNumber")) {
                            $('.invalidePhoneNumber').html("Un participant avec ce numéro de téléphone existe déja !");
                        }
                        if (response.includes("duplicateName")) {
                            $('.invalideFullname').html("Un participant avec ce nom existe déja !");
                        }

                    }
                });

            } else {

                if (phoneNumber.length < 10) {
                    $('.invalidePhoneNumber').html("veuillez saisir un numéro de téléphone valide");
                }

                if (fullname.trim() === "") {
                    $('.invalideFullname').html("le 'Nom et Prénom' sont obligatoire");
                }

                if (!ValidateEmail(emailAddress) && emailAddress !== "") {
                    $('.invalideEmailAddress').html("veuillez saisir une adresse e-mail valide");
                }
            }

        });
    });
</script>

</html>